package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.QueueInterfaceServiceImpl;
import com.steerinfo.framework.controller.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.dil.service.IQmsQueueGridService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.*;

/**
 * QmsQueueGrid RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-14 11:29
 * 类描述
 * 修订历史：
 * 日期：2021-09-14
 * 作者：generator
 * 参考：
 * 描述：QmsQueueGrid RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/qmsqueuegrids")
public class QmsQueueGridController extends BaseRESTfulController {

    @Autowired
    IQmsQueueGridService qmsQueueGridService;

    @Autowired
    QueueInterfaceServiceImpl qmsQueueInterfaceService;

    @ApiOperation(value="修改排队取消实绩：时间、原因")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "qmsQueueResult", value = "排队取消实体类", required = false, dataType = "QmsQueueResult"),
    })
    @PostMapping("/subsCapacity")
    public RESTfulResult subsCapacity(@RequestBody Map<String, Object> map){
        String subsCapacity = qmsQueueInterfaceService.subsCapacity(map,0);
        return success(subsCapacity);
    }

    @ApiOperation(value="取消订阅")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "qmsQueueResult", value = "排队取消实体类", required = false, dataType = "QmsQueueResult"),
    })
    @PostMapping("/cancelSubsCapacity")
    public RESTfulResult cancelSubsCapacity(@RequestBody Map<String, Object> map){
        int i = qmsQueueInterfaceService.cancelSubsCapacity(map,0);
        if(i==0) {
            return failed("", "取消订阅失败");
        }
        if(i==-1){
            return failed("","登录失败");
        }
        if(i==-2){
            return failed("","超出递归次数限制");
        }
        return success();
    }

}
