package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.QmsQueueList;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface QmsQueueListMapper extends IBaseMapper<QmsQueueList, BigDecimal> {
    //查询主键MaxId
    @Select("select seq_qms_queue_list.nextval from dual")
    BigDecimal selectMaxId();

    //查询当前链表最大序号
    Integer getMaxListNodeOrder(Map<String, Object> map);

    //通过运输订单号 或实绩Id 关联 实绩总表 查询 排队实绩
    Map<String, Object> getQueueResultByOrderNumber(Map<String, Object> map);

    //通过链表ID 查询当前网格id
    BigDecimal getGridIdByListId(BigDecimal listId);

    //通过链表Id查询当前网格中所有的排队车数 以及最小的顺序号
    Map<String, Object> getQueueNumAndMin(BigDecimal gridId);

    //链表监控
//    List<Map<String, Object>> listMonitor(Map<String, Object> map);

    //通过运输订单号查询运输订单信息
    Map<String, Object> getOrderMesByOrderNum(String orderNumber);

    //仓库链表监控
//    List<Map<String, Object>> warehouseListMonitor(Map<String, Object> map);

    //查询某一个队列的车辆排队详情
    List<Map<String, Object>> getListQueueMes(Map<String, Object> map);


    //通过订单ID查询该订单下有多少个物资=======================================================
    Map<String, Object> getMaterialNumByOrderId(BigDecimal resultId);

    Integer existsCapacity(Object capacityId);

    //通过实绩ID删除排队链表
    Integer deleteByQueueResultId(BigDecimal queueResultId);

    int updateListEnFactory(Map<String, Object> mesMap);

    int updateEnFactoryResult(Map<String, Object> mesMap);

    Integer getListSequenceNumber(Map<String, Object> map);

    Integer getSpellingSequenceNumber(Map<String, Object> map);

    Integer getListGridNumber(Map<String, Object> map);

    Integer getSpellingGridNumber(Map<String, Object> map);
}