package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽车排队网格")
public class QmsQueueGrid implements IBasePO<BigDecimal> {
    /**
     * 排队网格ID(GRID_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="排队网格ID",required=true)
    private BigDecimal gridId;

    /**
     * 排队地点名称(GRID_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="排队地点名称",required=false)
    private String gridName;

    /**
     * 排队网格类型1：成品仓库；2：原料仓库；3：进厂门岗；4：毛重衡；5：皮重衡；6：出厂门岗(GRID_TYPE,DECIMAL,38)
     */
    @ApiModelProperty(value="排队网格类型1：成品仓库；2：原料仓库；3：进厂门岗；4：毛重衡；5：皮重衡；6：出厂门岗",required=false)
    private BigDecimal gridType;

    /**
     * 排队地点id(QUEUE_LOCATION_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="排队地点id",required=false)
    private BigDecimal queueLocationId;

    /**
     * 排队网格优先次序(GRID_ORDER,DECIMAL,38)
     */
    @ApiModelProperty(value="排队网格优先次序",required=false)
    private BigDecimal gridOrder;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.gridId;
    }

    @Override
    public void setId(BigDecimal gridId) {
        this.gridId = gridId;
    }

    public BigDecimal getGridId() {
        return gridId;
    }

    public void setGridId(BigDecimal gridId) {
        this.gridId = gridId;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName == null ? null : gridName.trim();
    }

    public BigDecimal getGridType() {
        return gridType;
    }

    public void setGridType(BigDecimal gridType) {
        this.gridType = gridType;
    }

    public BigDecimal getQueueLocationId() {
        return queueLocationId;
    }

    public void setQueueLocationId(BigDecimal queueLocationId) {
        this.queueLocationId = queueLocationId;
    }

    public BigDecimal getGridOrder() {
        return gridOrder;
    }

    public void setGridOrder(BigDecimal gridOrder) {
        this.gridOrder = gridOrder;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", gridId=").append(gridId);
        sb.append(", gridName=").append(gridName);
        sb.append(", gridType=").append(gridType);
        sb.append(", queueLocationId=").append(queueLocationId);
        sb.append(", gridOrder=").append(gridOrder);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}