package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class QmsQueueSpellingList implements IBasePO<BigDecimal> {
    /**
     * 主键ID(SPELLING_RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal spellingResultId;

    /**
     * 排队实绩ID(QUEUE_RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="排队实绩ID",required=false)
    private BigDecimal queueResultId;

    /**
     * 拼数（也是分类字段）(SPELILING_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="拼数（也是分类字段）",required=false)
    private BigDecimal spelilingNum;

    /**
     * 拼装确认时间(SPELLING_SURE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="拼装确认时间",required=false)
    private Date spellingSureTime;

    /**
     * 钢材科勾选进厂时间(ENTRY_SURE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="钢材科勾选进厂时间",required=false)
    private Date entrySureTime;

    /**
     * 新增时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="新增时间",required=false)
    private Date insertTime;

    /**
     * 新增人(INSERT_USERNAME,VARCHAR,50)
     */
    @ApiModelProperty(value="新增人",required=false)
    private String insertUsername;

    /**
     * 修改人(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改人",required=false)
    private Date updateTime;

    /**
     * 修改时间(UPDATE_USERNAME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateUsername;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.spellingResultId;
    }

    @Override
    public void setId(BigDecimal spellingResultId) {
        this.spellingResultId = spellingResultId;
    }

    public BigDecimal getSpellingResultId() {
        return spellingResultId;
    }

    public void setSpellingResultId(BigDecimal spellingResultId) {
        this.spellingResultId = spellingResultId;
    }

    public BigDecimal getQueueResultId() {
        return queueResultId;
    }

    public void setQueueResultId(BigDecimal queueResultId) {
        this.queueResultId = queueResultId;
    }

    public BigDecimal getSpelilingNum() {
        return spelilingNum;
    }

    public void setSpelilingNum(BigDecimal spelilingNum) {
        this.spelilingNum = spelilingNum;
    }

    public Date getSpellingSureTime() {
        return spellingSureTime;
    }

    public void setSpellingSureTime(Date spellingSureTime) {
        this.spellingSureTime = spellingSureTime;
    }

    public Date getEntrySureTime() {
        return entrySureTime;
    }

    public void setEntrySureTime(Date entrySureTime) {
        this.entrySureTime = entrySureTime;
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(Date updateUsername) {
        this.updateUsername = updateUsername;
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", spellingResultId=").append(spellingResultId);
        sb.append(", queueResultId=").append(queueResultId);
        sb.append(", spelilingNum=").append(spelilingNum);
        sb.append(", spellingSureTime=").append(spellingSureTime);
        sb.append(", entrySureTime=").append(entrySureTime);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}