package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="运力信息")
public class RmsCapacity implements IBasePO<Short> {
    /**
     * 主键id(CAPACITY_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private Short capacityId;

    /**
     * 运力编号(CAPACITY_NUMBER,VARCHAR,32)
     */
    @ApiModelProperty(value="运力编号",required=false)
    private String capacityNumber;

    /**
     * 运力额定载重(CAPACITY_MAX_LOAD,DECIMAL,0)
     */
    @ApiModelProperty(value="运力额定载重",required=false)
    private Short capacityMaxLoad;

    /**
     * 运力类型ID(CAPACITY_TYPE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="运力类型ID",required=false)
    private Short capacityTypeId;

    /**
     * 运力状态(0：空闲中、1：运输中:2：待运中:3：维保中)(CAPACITY_STATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="运力状态(0：空闲中、1：运输中:2：待运中:3：维保中)",required=false)
    private String capacityStatus;

    /**
     * 承运单位(CARRIER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="承运单位",required=false)
    private Short carrierId;

    /**
     * 能源名称(CAPACITY_ENERGY_ID,VARCHAR,16)
     */
    @ApiModelProperty(value="能源名称",required=false)
    private String capacityEnergyId;

    /**
     * 可载长度上限(M)(CAPACITY_LEN_VAL,DECIMAL,0)
     */
    @ApiModelProperty(value="可载长度上限(M)",required=false)
    private Short capacityLenVal;

    /**
     * 可载宽度上限(M)(CAPACITY_WID_VAL,DECIMAL,0)
     */
    @ApiModelProperty(value="可载宽度上限(M)",required=false)
    private Short capacityWidVal;

    /**
     * 可载高度上限(M)(CAPACITY_HIG_VAL,DECIMAL,0)
     */
    @ApiModelProperty(value="可载高度上限(M)",required=false)
    private Short capacityHigVal;

    /**
     * 油品代码(CAPACITY_OIL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="油品代码",required=false)
    private Short capacityOilId;

    /**
     * 油耗(升/100公里)(CAPACITY_FUEL_CONSUMPTION,VARCHAR,16)
     */
    @ApiModelProperty(value="油耗(升/100公里)",required=false)
    private String capacityFuelConsumption;

    /**
     * 是否自有车辆（0：是；1：不是）(CAPACITY_OWNERIS,DECIMAL,0)
     */
    @ApiModelProperty(value="是否自有车辆（0：是；1：不是）",required=false)
    private Short capacityOwneris;

    /**
     * 运力是否黑名单（0：是；1：不是）(CAPACITY_BLACKLIST,DECIMAL,0)
     */
    @ApiModelProperty(value="运力是否黑名单（0：是；1：不是）",required=false)
    private Short capacityBlacklist;

    /**
     * 备注(MEMO,VARCHAR,128)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 车牌颜色(CAPACITY_CORLOR,VARCHAR,20)
     */
    @ApiModelProperty(value="车牌颜色",required=false)
    private String capacityCorlor;

    /**
     * 是否VIP(CAPACITY_VIP,VARCHAR,20)
     */
    @ApiModelProperty(value="是否VIP",required=false)
    private String capacityVip;

    private static final long serialVersionUID = 1L;

    @Override
    public Short getId() {
        return this.capacityId;
    }

    @Override
    public void setId(Short capacityId) {
        this.capacityId = capacityId;
    }

    public Short getCapacityId() {
        return capacityId;
    }

    public void setCapacityId(Short capacityId) {
        this.capacityId = capacityId;
    }

    public String getCapacityNumber() {
        return capacityNumber;
    }

    public void setCapacityNumber(String capacityNumber) {
        this.capacityNumber = capacityNumber == null ? null : capacityNumber.trim();
    }

    public Short getCapacityMaxLoad() {
        return capacityMaxLoad;
    }

    public void setCapacityMaxLoad(Short capacityMaxLoad) {
        this.capacityMaxLoad = capacityMaxLoad;
    }

    public Short getCapacityTypeId() {
        return capacityTypeId;
    }

    public void setCapacityTypeId(Short capacityTypeId) {
        this.capacityTypeId = capacityTypeId;
    }

    public String getCapacityStatus() {
        return capacityStatus;
    }

    public void setCapacityStatus(String capacityStatus) {
        this.capacityStatus = capacityStatus == null ? null : capacityStatus.trim();
    }

    public Short getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(Short carrierId) {
        this.carrierId = carrierId;
    }

    public String getCapacityEnergyId() {
        return capacityEnergyId;
    }

    public void setCapacityEnergyId(String capacityEnergyId) {
        this.capacityEnergyId = capacityEnergyId == null ? null : capacityEnergyId.trim();
    }

    public Short getCapacityLenVal() {
        return capacityLenVal;
    }

    public void setCapacityLenVal(Short capacityLenVal) {
        this.capacityLenVal = capacityLenVal;
    }

    public Short getCapacityWidVal() {
        return capacityWidVal;
    }

    public void setCapacityWidVal(Short capacityWidVal) {
        this.capacityWidVal = capacityWidVal;
    }

    public Short getCapacityHigVal() {
        return capacityHigVal;
    }

    public void setCapacityHigVal(Short capacityHigVal) {
        this.capacityHigVal = capacityHigVal;
    }

    public Short getCapacityOilId() {
        return capacityOilId;
    }

    public void setCapacityOilId(Short capacityOilId) {
        this.capacityOilId = capacityOilId;
    }

    public String getCapacityFuelConsumption() {
        return capacityFuelConsumption;
    }

    public void setCapacityFuelConsumption(String capacityFuelConsumption) {
        this.capacityFuelConsumption = capacityFuelConsumption == null ? null : capacityFuelConsumption.trim();
    }

    public Short getCapacityOwneris() {
        return capacityOwneris;
    }

    public void setCapacityOwneris(Short capacityOwneris) {
        this.capacityOwneris = capacityOwneris;
    }

    public Short getCapacityBlacklist() {
        return capacityBlacklist;
    }

    public void setCapacityBlacklist(Short capacityBlacklist) {
        this.capacityBlacklist = capacityBlacklist;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public String getCapacityCorlor() {
        return capacityCorlor;
    }

    public void setCapacityCorlor(String capacityCorlor) {
        this.capacityCorlor = capacityCorlor == null ? null : capacityCorlor.trim();
    }

    public String getCapacityVip() {
        return capacityVip;
    }

    public void setCapacityVip(String capacityVip) {
        this.capacityVip = capacityVip == null ? null : capacityVip.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", capacityId=").append(capacityId);
        sb.append(", capacityNumber=").append(capacityNumber);
        sb.append(", capacityMaxLoad=").append(capacityMaxLoad);
        sb.append(", capacityTypeId=").append(capacityTypeId);
        sb.append(", capacityStatus=").append(capacityStatus);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", capacityEnergyId=").append(capacityEnergyId);
        sb.append(", capacityLenVal=").append(capacityLenVal);
        sb.append(", capacityWidVal=").append(capacityWidVal);
        sb.append(", capacityHigVal=").append(capacityHigVal);
        sb.append(", capacityOilId=").append(capacityOilId);
        sb.append(", capacityFuelConsumption=").append(capacityFuelConsumption);
        sb.append(", capacityOwneris=").append(capacityOwneris);
        sb.append(", capacityBlacklist=").append(capacityBlacklist);
        sb.append(", memo=").append(memo);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", capacityCorlor=").append(capacityCorlor);
        sb.append(", capacityVip=").append(capacityVip);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}